bolt/requirements

Requirement definitions for Bolt projects.

v1.0.2 2018-01-05 04:52 UTC

This package is auto-updated.

Last update: 2020-09-29 05:28:16 UTC


README

PHP and system requirement definitions for Bolt.

Using

<?php

use Bolt\Requirement\BoltRequirements;
use Symfony\Requirements\Requirement;

$requires = new BoltRequirements('/path/to/bolt');

/** @var Requirement $require */
foreach ($requires->getFailedRequirements() as $require) {
    echo $require->getTestMessage(), PHP_EOL;
    echo $require->getHelpText(), PHP_EOL;
}

/** @var Requirement $require */
foreach ($requires->getFailedRecommendations() as $require) {
    echo $require->getTestMessage(), PHP_EOL;
    echo $require->getHelpText(), PHP_EOL;
}